Skip to main content
GET
/
api
/
v1
/
apps
/
me
Introspect the current API key
curl --request GET \
  --url https://api.hevn.finance/api/v1/apps/me \
  --header 'Authorization: Bearer <token>'
{
  "email": "<string>",
  "name": "<string>",
  "balance": 0,
  "spendLimit": 0,
  "appId": "<string>",
  "appName": "<string>",
  "scope": []
}

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-key
string

Alternative API key header. Use Authorization Bearer by default, or X-Api-Key when that header mode is configured.

Response

Successful Response

Introspection response for the API key used by HEVN CLI whoami. Includes user identity, owning app, scopes, balance, and remaining spend limit.

email
string
required
name
string | null
balance
number
default:0
spendLimit
number
default:0
appId
string | null
appName
string | null
scope
string[]